/**
 * Some timings of our sorting algorithms.
 */
public class SorterMain {

  /**
   * Sort arrays of various sizes using MinSort.
   */
  public static void main(String[] args) {
    // Time Min-Sort.
    if (true) {
      int step = 1000;
      for (int n = step; n <= 60 * step; n += step) {
        int[] array = new int[n];
        for (int j = 0; j < n; j++) { array[j] = n - j; }
        long startTime = System.currentTimeMillis();
        Sorter.minSort(array);
        long endTime = System.currentTimeMillis();
        System.out.println(n + "\t" + (endTime - startTime));
      }
    }
  }
}
